obj-m := can200.o
can200-objs := main.o can200pci.o can_open.o can_release.o can_ioctl.o sja1000.o can_write.o can_irq.o can_read.o can_poll.o can_util.o

EXTRA_CFLAGS = -Wall
KERNELDIR := /lib/modules/$(shell uname -r)/build
PWD := $(PWD)

all:
	$(MAKE) -C $(KERNELDIR) M=$(PWD) modules

clean:
	-rm -rf *.o *.ko .*.cmd .*.flags *.mod.c Module.symvers *.c~ Makefile~ *.h~ *.order *.mod

